Method: networks.audienceSegments.batchUpdate

Batch updates AudienceSegment objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/audienceSegments:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where AudienceSegments will be updated. Format: networks/{networkCode} The parent field in the UpdateAudienceSegmentRequest.audienceSegment must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateAudienceSegmentRequest)
    }
  ]
}
Fields
requests[]

object (UpdateAudienceSegmentRequest)

Required. The AudienceSegment objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for audienceSegments.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "audienceSegments": [
    {
      object (AudienceSegment)
    }
  ]
}
Fields
audienceSegments[]

object (AudienceSegment)

The AudienceSegment objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateAudienceSegmentRequest

Request object for audienceSegments.patch method.

JSON representation
{
  "audienceSegment": {
    object (AudienceSegment)
  },
  "updateMask": string
}
Fields
audienceSegment

object (AudienceSegment)

Required. The AudienceSegment to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".